uuid: 7e426095-9a07-484b-a0d7-0e7afc4b954a
langcode: en
status: true
dependencies:
  config:
    - entity_browser.browser.image_browser
    - field.field.paragraph.bp_image.bp_background
    - field.field.paragraph.bp_image.bp_gutter
    - field.field.paragraph.bp_image.bp_image_field
    - field.field.paragraph.bp_image.bp_link
    - field.field.paragraph.bp_image.bp_title
    - field.field.paragraph.bp_image.bp_title_status
    - field.field.paragraph.bp_image.bp_width
    - field.field.paragraph.bp_image.field_bp_classes
    - paragraphs.paragraphs_type.bp_image
  module:
    - advanced_text_formatter
    - entity_browser
    - field_group
    - link
    - maxlength
third_party_settings:
  field_group:
    group_styling_settings:
      children:
        - bp_width
        - bp_gutter
        - field_bp_classes
      label: 'Styling settings'
      region: content
      parent_name: ''
      weight: 2
      format_type: details
      format_settings:
        classes: ''
        id: styling-settings
        open: false
        required_fields: true
    group_title:
      children:
        - bp_title
        - bp_title_status
      label: 'Component title'
      region: content
      parent_name: ''
      weight: 0
      format_type: details
      format_settings:
        classes: ''
        id: ''
        open: false
        description: ''
        required_fields: false
    group_information:
      children:
        - group_image
        - group_link
      label: Information
      region: content
      parent_name: ''
      weight: 1
      format_type: tabs
      format_settings:
        classes: ''
        id: ''
        direction: horizontal
    group_image:
      children:
        - bp_image_field
      label: Image
      region: content
      parent_name: group_information
      weight: 5
      format_type: tab
      format_settings:
        classes: ''
        id: ''
        formatter: closed
        description: ''
        required_fields: true
    group_link:
      children:
        - bp_link
      label: Link
      region: content
      parent_name: group_information
      weight: 6
      format_type: tab
      format_settings:
        classes: ''
        id: ''
        formatter: closed
        description: ''
        required_fields: true
_core:
  default_config_hash: RDo-bRIgVMXXvIoAr3vkimzO0xQr09fNTUubDbGsKA8
id: paragraph.bp_image.default
targetEntityType: paragraph
bundle: bp_image
mode: default
content:
  bp_gutter:
    type: options_buttons
    weight: 8
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_image_field:
    type: entity_browser_entity_reference
    weight: 1
    region: content
    settings:
      entity_browser: image_browser
      field_widget_display: rendered_entity
      field_widget_edit: true
      field_widget_remove: true
      field_widget_replace: false
      open: true
      field_widget_display_settings:
        view_mode: field_preview
      selection_mode: selection_append
    third_party_settings: {  }
  bp_link:
    type: link_default
    weight: 2
    region: content
    settings:
      placeholder_url: ''
      placeholder_title: ''
    third_party_settings: {  }
  bp_title:
    type: string_textfield
    weight: 1
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings:
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
      advanced_text_formatter:
        show_token_tree: 0
  bp_title_status:
    type: boolean_checkbox
    weight: 2
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  bp_width:
    type: options_buttons
    weight: 7
    region: content
    settings: {  }
    third_party_settings: {  }
  field_bp_classes:
    type: options_select
    weight: 9
    region: content
    settings: {  }
    third_party_settings: {  }
  translation:
    weight: 3
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  bp_background: true
  created: true
  status: true
  uid: true
